loading...

گلچین آنلاین بزرگترین و بروزترین مرجع افزونه های جوملا در ایران

دانلود مجموعه پلاگین های حل مشکل جی کوئری درجوملا

نگارش یافته توسط گلچین آنلاین مجموعه افزونه دسته جمعی

0
like دانلود مجموعه پلاگین های  حل مشکل جی کوئری درجوملا - گلچین آنلاین
0
dislike دانلود مجموعه پلاگین های  حل مشکل جی کوئری درجوملا - گلچین آنلاین
0

پلاگین حل مشکل جی کوئری جوملا

2015-01-21_081910 دانلود مجموعه پلاگین های  حل مشکل جی کوئری درجوملا - گلچین آنلاین

مجموعه ای که امروز برای شما آماده کردیم یک مجموعه مکمل جوملاست که برای هر طراح سایتی نیاز است و در آینده حتما در کیف ابزار جوملا نسخه 3 جای خواهد گرفت.

این مجموعه چیست؟ حتما تابحال دقت کردید که برخی اسلایدشو ها یا افزونه ها در سایت شما اجرا نمی شوند اما همین اسلایدشو در یک سایت دیگر اجرا می شود.و اکثر طرحان به ناچار از یک اسلایدشو دیگر استفاده می کنند. اما واقعا مشکل چیست؟ سایت؟ اسلایدشو؟ هاستیگ؟ خیر  اکثر این مشکلات به علت تداخلات جی کوئری می باشد یا اینکه نسخه جی کوئری قالب یا جوملای شما با نسخه ی مورد استفاده افزونه سازگاری ندارد. که باعث این مشکلات می شوند.

جی کوئری چیست؟ در تعریف جی کوئری در زبان فارسی آمده : یک چارچوب جاوا اسکریپت است که هدف آن آسان ساختن استفاده از  جاوا اسکریپت در صفحات طراحی وب سایت شماست. جی کوئری تلاش می کند تا بسیاری از دستورات پیچیده  جاوا اسکریپت نظیر فراخوانی های  ای جکس (AJAX) و عملیاتهای DOM را ساده تر کند تا بتوانید این اعمال را بدون این که دانش زیادی درباره جاوا اسکریپت داشته باشید به اجرا بگذارید. شما می توانید  تقریباً برای انجام هر کاری یک پلاگین در جی کوئری  پیدا نمائید.

خب با همه این اوصاف راه حل مشکل ما چیست؟ راه حل اضافه کردن بانک هی بروز شده جی کوئری به جوملا و غیر فعال کردن جی کوئری پیش فرض افزونه ها می باشد. در این مجموعه ارزشمند ما چند پلاگین برای شما قرار دادیم که همگی به جوملای شما بانک های جی کوئری اضافه می کنند و می توانید با توجه به سازگاری جوملای خود هرکدام را نصب کنید.

 

نکته : در این پک پیشنهاد ما پلاگین easy jquary می باشد.که با اکثر نسخه های جوملا سازگاری دارد و مشکل نمایش اکثر اسلایدشو ها را حل کرده برای مثال نسخه جدید unite revolotion slider که اخیرا منتشر کردیم نیازمند نسخه بالای جیکوئری می باشد که با این پلاگین اگر جی کوئری شما قدیمی باشد مشکل حل می شود.

فايل‌ها:
پلاگین جلوگیری از تداخل جی کوئریداغ
(0 امتيازات)
اندازه : حجم فايل 217.85 KB

لطفا ثبت نام کنید یا با حساب کاربری خود وارد شوید.

نظر خود را اضافه کنید.

ارسال نظر به عنوان مهمان

0

کاربرانی که در این گفتگو شرکت کرده اند

  • خیلی ممنون که با حوصله توضیح دادید پلاگین بسیار کاربردی هستش

  • سلام من قبلا هم از این پلاگین استفاده کرده بودم خیلی خیلی کاربردی هستش و خیلی ها نمیدون از خدمت شما یک سوال داشتم تنظیمات پلاگین برای آپدیت back-end بسیار ساده است و jqury جدید می شود و همون طور که فرمودید کاپوننت های مثل unite revolotion slider پس از آن به راحتی اجرا می شود ولی وقتی قسمت forent-end رو که برای خود صفحه هات قالب است تنظیماتشو انجام میدم برای آپدیت jqury سایت دیگر سایت بالا نمی آید !! چند بار بک آپ برگرداندم و تست های مختلفی کردم ولی نشد چطور jqury قالب سایت رو آپدیت کنیم ؟ که به مشکلی بر نخوریم متشکرم

  • با سلام. مشکلی که فرمودید بخاطر قالب هست .اگر دقت کنید در تنظیمات نسخه جی کوئری وجود دارد مثلا 1.8 و 1.9 و .... گاها پیش می آید که قالب سایت از نسخه 1.8.0 جی کوئری استفاده می کند و مثلا کامپوننتی مثل unite slider از نسخه 1.8.5 به بالا ...حال وقتی شما می آیید و این پلاگین را فعال می کنید این پلاگین روی تمامی افزونه ها از جمله قالب تاثیر می گذارد و سعی می کند با نسخه 1.8.5 که شما در تنظیمات تنظیم کردید قالب را فراخوانی کند..در صورتی که قالب تا نسخه 1.8.0 سازگاری دارد ...و از این رو در بعضی قالب ها مشکل لود دارید....چند راه دارید... اینکه اگر در قالب تنظیمات جی کوئری دارید غیر فعال کنید... 2 - اینکه کد نویسی بلد باشید و قالبتان را با نسخه جی کوئری مورد نظرتان فراخوانی کنید...3. در تنظیمات افزونه نسخه ای از جی کوئری را انتخاب کنید که هم با قالب سازگار باشد هم با افزونه های شما... برای فهمیدن نسخه jquary قالب وارد پوشه template شوید و وارد پوشه قالب مورد نظرتان شده و دنبال پوشه ای به اسم js باشید... سپس درون پوشه دنبال فایلی شبیه به jquery-1.9.0.min.js باشید... که البته 1.9.0 نسخه جی کوئری است و ممکن است برای شما عدد متفاوت باشد که نشان دهنده نسخه جی کوئری قالب شماست.